> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Get DID

> Get a DID by ID



## OpenAPI

````yaml /openapi.json get /did/{id}
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /did/{id}:
    get:
      tags:
        - DID
      summary: Get DID
      description: Get a DID by ID
      operationId: getDid
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: DID fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Did'
        '403':
          description: DID not found
components:
  schemas:
    Did:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier of the DID.
        did:
          type: string
          description: The DID.
        alias:
          type: string
          description: The DID alias.
        name:
          type: string
          description: The name given to the DID.
      required:
        - id
        - did
        - alias
        - name

````